#147 doesnt build with libav 0.9 / ffmpeg 0.11

open-fixed
None
5
2012-06-29
2012-06-29
No

Hi, in rpmfusion rawhide, we are trying build against ffmpeg 0.11 which change ABI of avcodec:
> minidlna:
> > metadata.c: In function 'GetVideoMetadata':
> > metadata.c:713:2: warning: 'av_find_stream_info' is deprecated (declared at /usr/include/ffmpeg/libavformat/avformat.h:1357) [-Wdeprecated-declarations]
> > metadata.c:735:3: warning: 'av_close_input_file' is deprecated (declared at /usr/include/ffmpeg/libavformat/avformat.h:1533) [-Wdeprecated-declarations]
> > metadata.c:1517:4: error: unknown type name 'AVMetadataTag'

Discussion

  • Jörg

    Jörg - 2012-06-29

    I've successfully build minidlna (latest CVS head) against ffmpeg 0.11 with applying the following patch:

    --- configure.ac.orig 2012-06-13 20:01:34.488782084 +0200
    +++ configure.ac 2012-06-13 20:01:34.490782086 +0200
    @@ -381,17 +381,17 @@
    if test -n "$dir"; then
    LDFLAGS="$LDFLAGS -L$dir/lib"
    fi
    - AC_CHECK_LIB([avformat], [av_open_input_file], [LIBAVFORMAT_LIBS="-lavformat"], [unset ac_cv_lib_avformat_av_open_input_file; LDFLAGS="$LDFLAGS_SAVE"; continue])
    + AC_CHECK_LIB([avformat], [avformat_open_input], [LIBAVFORMAT_LIBS="-lavformat"], [unset ac_cv_lib_avformat_avformat_open_input; LDFLAGS="$LDFLAGS_SAVE"; continue])
    AC_SUBST(LIBJPEG_LIBS)
    break
    done
    -test x"$ac_cv_lib_avformat_av_open_input_file" = x"yes" || AC_MSG_ERROR([Could not find libavformat - part of ffmpeg])
    +test x"$ac_cv_lib_avformat_avformat_open_input" = x"yes" || AC_MSG_ERROR([Could not find libavformat - part of ffmpeg])
    AC_SUBST(LIBAVFORMAT_LIBS)

    AC_CHECK_LIB(avutil ,[av_rescale_q], [LIBAVUTIL_LIBS="-lavutil"], [AC_MSG_ERROR([Could not find libavutil - part of ffmpeg])])
    AC_SUBST(LIBAVUTIL_LIBS)

    -AC_CHECK_LIB(avcodec ,[avcodec_init], [LIBAVCODEC_LIBS="-lavcodec"], [AC_MSG_ERROR([Could not find libavcodec - part of ffmpeg])])
    +AC_CHECK_LIB(avcodec ,[avcodec_register], [LIBAVCODEC_LIBS="-lavcodec"], [AC_MSG_ERROR([Could not find libavcodec - part of ffmpeg])])
    AC_SUBST(LIBAVCODEC_LIBS)

    AC_CHECK_LIB(pthread, pthread_create)
    --- metadata.c.orig 2012-06-13 20:07:20.628757050 +0200
    +++ metadata.c 2012-06-13 20:07:20.651757048 +0200
    @@ -1561,10 +1561,10 @@
    {
    if( ctx->metadata )
    {
    - AVMetadataTag *tag = NULL;
    + AVDictionaryEntry *tag = NULL;

    //DEBUG DPRINTF(E_DEBUG, L_METADATA, "Metadata:\n");
    - while( (tag = av_metadata_get(ctx->metadata, "", tag, AV_METADATA_IGNORE_SUFFIX)) )
    + while( (tag = av_dict_get(ctx->metadata, "", tag, AV_DICT_IGNORE_SUFFIX)) )
    {
    //DEBUG DPRINTF(E_DEBUG, L_METADATA, " %-16s: %s\n", tag->key, tag->value);
    if( strcmp(tag->key, "title") == 0 )

     
  • Justin Maggard

    Justin Maggard - 2012-06-29

    I've checked in fixes for this in CVS, in both HEAD and the 1-0-stable branches. There are a few more things I'd like to do before finalizing 1.1, but I can do a 1.0.25 release soon if you need.

     
  • Justin Maggard

    Justin Maggard - 2012-06-29
    • assigned_to: nobody --> jmaggard
    • status: open --> open-fixed
     
  • Sérgio Monteiro Basto

    Hi, many thanks, we build 1.0.24, can you send in attach to my email the patch for 1.0.24 ? if it is possible build 1.0.24 with ffmpeg.0.11

     
  • Sérgio Monteiro Basto

    "but I can do a 1.0.25 release soon if you need " , since minidlna_1.0.24_src.tar.gz (releases !?) don't have any configure.ac, maybe the better solution.
    Or just tell me how you generate a release .
    thks,

     
  • gharris999

    gharris999 - 2012-07-06

    The latest minidlna check-ins have broken compiling for me on Fedora 16 and 17. I'm also unable to apply enzokiel's patch, getting a "malformed patch" error.

     
  • Justin Maggard

    Justin Maggard - 2012-07-07

    gharris999 - The compiling issue in CVS HEAD related to TiVo support should be fixed now.

    sergiomb - I'll attach the patch to 1.0.24 here. I'm waiting to get some more info on a possible WDTV issue before pushing out 1.0.25.

     
  • Justin Maggard

    Justin Maggard - 2012-07-07

    Fix compiling with new ffmpeg/libav versions

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks